%define module_name     vhba
%define module_version  1.2.1.20100822
%define module_release  alt0.M50P.1

%define kversion        2.6.32
%define krelease        alt20.M50P.1
%define flavour         std-pae

%define module_dir /lib/modules/%kversion-%flavour-%krelease/extra

Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132640.20.M50P.1

Summary: VHBA virtual host bus adapter module
License: GPLv2
Group: System/Kernel and hardware

URL: http://cdemu.sourceforge.net/
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Source1: 60-%module_name.rules

ExclusiveOS: Linux
BuildRequires(pre): rpm-build-kernel

BuildRequires: module-init-tools
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version
 
Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

%description
VHBA kernel module, a virtual SCSI host bus adapter used by CDEmu daemon from
userspace-cdemu suite.

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make_build KDIR=%_usrsrc/linux-%kversion-%flavour

%install
install -d %buildroot/%module_dir
cp -a %module_name.ko %buildroot/%module_dir/
install -Dp -m0644 %SOURCE1 %buildroot%_sysconfdir/udev/rules.d/60-%module_name.rules

%post
%post_kernel_modules %kversion-%flavour-%krelease
 
%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir
%config %_sysconfdir/udev/rules.d/60-%module_name.rules

%changelog
* Mon Jan 24 2011 Nazarov Denis <nenderus@altlinux.org> 1.2.1.20100822-alt0.M50P.1.132640.20.M50P.1
- Build for kernel-image-std-pae-2.6.32-alt20.M50P.1.

* Mon Jan 24 2011 Nazarov Denis <nenderus@altlinux.org> 1.2.1.20100822-alt0.M50P.1
- Version for branch p5

* Sat Nov 20 2010 Nazarov Denis <nenderus@altlinux.org> 1.2.1.20100822-alt1
- Initial build for ALT Linux

